table, body, h1
{
    font-family: segoe ui, verdana, tahoma, arial, sans-serif;
    font-weight: normal;
    font-size: 13px;
    background-color: #ffffff;
    color: #000000;
    text-decoration: none;
    margin: 0px;
    width: 100%;
	table-layout: fixed;
}

div#footer
{
	color: #c0c0c0;
}

div#footer sup strong
{
	font-weight: normal;
}

div#footerinfo
{
	color: #c0c0c0;
	text-align: right;
	margin-right: 8px;
	white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: hidden;
}

div#footerinfo p
{
	margin: 4px 0px 4px 0px;
}

div#footerinfo b
{
	color: #808080;
}

div#headerinfo
{
	color: #c0c0c0;
}

div#headerinfo b
{
	color: #808080;
}

font.expandcolumn
{
    display: inline-block;
    margin-top: 3px;
    color: #c0c0c0;
    float: right;
    margin-right: 3px;
}

td.expandcolumn, td.expandcolumn label
{
    width: 52px;
    min-width: 52px;
    color: #c0c0c0;
    padding-left: 6px;
	padding-top: 2px;
	cursor: pointer;
	outline: none;
	vertical-align: top;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

div#header td.expandcolumn
{
	vertical-align: middle;
}

blockquote.code, tr#headerTableRow2 blockquote
{
    margin: 0;
}

div#separator
{
	margin-bottom: 16px;
}

font#error
{
    color: #ff0000;
}

table#questions td > div:first-child, table#infos td > div:first-child
{
	cursor: pointer;
    white-space: normal;
    text-overflow: ellipsis;
    overflow-x: hidden;
	border-top: 1px solid #ffffff;
	border-bottom: 1px solid #ffffff;
	background: #ffffff;
	user-select: none;

	transition: all 0.5s linear;
	transition-property: background, border;
}

table#questions td > div:first-child:hover
{
    white-space: normal;
	border-top: 1px dashed #d0d0d0;
	border-bottom: 1px dashed #d0d0d0;
	background: #f4f4f4;

	transition: all 0.15s linear;
	transition-property: background, border;
}

table#questions td.answere > div:first-child
{
	font-weight: bold;
    white-space: normal;
	background: #f4f4f4;
	border-top: 1px solid #f8f8f8;
	border-bottom: 1px solid #f8f8f8;
}

table#questions td.answere
{
	border-right: 1.5em solid #f4f4f4;
	border-bottom: 1.5em solid #f4f4f4;
}

#pages a, #pages b, #pages font, div#footerInfo a, table#questions td.answere > div:first-child::after, td.expandcolumn label, .shortcut a, a.shortcut
{
	text-decoration: none;
	display: inline-block;
	margin: 0px;
	font-weight: normal;
	border-radius: 3px;
	border: 1px solid #cccccc;
	box-shadow: 0px 1px 0 rgba(0,0,0,.08);
	text-shadow: none;
	!width: 16px;
	height: 16px;
	text-align: center;
	font-size: 80%;
	color: #000000;
	background: #ffffff;
}

#pages a, #pages b, #pages font
{
	padding: 2px 2px 0px 2px;
	min-width: 12px;
}

td.expandcolumn label, td.expandcolumn font
{
}

table#bottomTable td.expandcolumn label
{
    padding: 0px 0px;
}

td.expandcolumn
{
	text-align: right;
}

td.expandcolumn label
{
	margin-right: 4px;
}

div#footerInfo a
{
	width: auto;
    font-size: 100%;
    padding: 0px 4px 4px;
    vertical-align: middle;
	margin-left: 4px;
}


input#btnclear, input#btnfilter, input#filter, span#btnFilterQuestionOnly, span#btnFilterWordOnly
{
	text-decoration: none;
	display: inline-block;
	margin: 0px;
	font-weight: normal;
	border-radius: 3px;
	border: 1px solid #cccccc;
	box-shadow: 0px 1px 0 rgba(0,0,0,.08);
	text-shadow: none;
	font-size: 80%;
	height: 16px;
	background: #ffffff;
	cursor: pointer;
	outline: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;

	transition: background 0.15s linear;
}

span#btnFilterQuestionOnly, span#btnFilterWordOnly
{
	margin-left: 4px;
	margin-right: 4px;
	padding: 0px 8px;
	height: 14px;
	position: relative;

	transition: all 0.15s linear;
	transition-property: background;
}

span#btnFilterQuestionOnly::before, span#btnFilterQuestionOnly::after, span#btnFilterWordOnly::before, span#btnFilterWordOnly::after
{
	content: '';
    position: absolute;
	display: inline-block;
    width: 8px;
    height: 8px;
    border: 1px solid #cccccc;
    background: #ffffff;
	left: -6px;

	!top: 50%;
	!transform: translate(0, -50%);

	top: 0;
		!left: 0;
	bottom: 0;
		!right: 0;
	margin: auto;

	transition: all 0.15s linear;
	transition-property: background;
}

span#btnFilterQuestionOnly::after, span#btnFilterWordOnly::after
{
    width: 4px;
    height: 4px;
    left: -4px;
    border: 1px solid #ffffff;

	transition: all 0.15s linear;
	transition-property: background;
}

span#btnFilterQuestionOnly.question-only::before, span#btnFilterQuestionOnly.question-only::after, span#btnFilterWordOnly.word-only::before, span#btnFilterWordOnly.word-only::after
{
    border: 1px solid #666666;

	transition: all 0.15s linear;
	transition-property: background;
}

span#btnFilterQuestionOnly.question-only::after, span#btnFilterWordOnly.word-only::after
{
    background: #666666;
}

input#filter
{
	cursor: auto;
	font-size: 100%;
	text-indent: 4px;
	height: 24px;
	margin-left: 8px;
}

input#btnclear:focus, input#btnfilter:focus, input#filter:focus
{
	background: #f8f8f8;
}

#pages a.active
{
	font-weight: bold;
	background: #f8f8f8;
	color: black;
}

p#pages
{
    padding: 2px 2px 2px 8px;
    margin: 0px 0px 4px 0px;
    !border-bottom: 1px solid #f8f8f8;
}

p#pages.right
{
    padding: 0px 8px 0px 0px;
    display: block;
    position: absolute;
    right: 0px;
    width: 55%;
	margin-top: -40px;
}

p#pages.right #page
{
    max-width: 96px;
    min-width: 96px;
    text-overflow: ellipsis;
    overflow: hidden;
}

#pages a:active, #pages b:active, #pages font:active, td.expandcolumn label:active, span#btnFilterQuestionOnly:active, span#btnFilterWordOnly:active, div#footerInfo a:active, .shortcut a:active, a:active.shortcut
{
	background: #f8f8f8;
}

div#header
{
	background: #ffffff;
    padding: 0px 0px 6px 0px;
	border-top: 1px solid #f8f8f8;
	border-bottom: 1px solid #f8f8f8;
	!position: fixed;
	z-index: 3;
}

div#mainSection
{
	z-index: 2;
	transition: opacity 0.15s linear;
	-webkit-transition: opacity 0.15s linear;
}

.wait
{
	z-index: 4;
	display: block;
    position: fixed;
	top: 0;
    left: 0;
    right: 0;
    margin: auto;
	opacity: 1;
}

tr#headertablerow2 td
{
	text-indent: 20px;
	clear: both;
    background: url(http://www.exontrol.com/images/quote.png) no-repeat;
    padding-top: 4px;
    padding-left: 8px;
	color: #000000;
}

tr#question td
{
	border-right: 1px solid #f8f8f8;
}

table#questions tr#question td.answere a:after
{
	content: '';
}

table#questions tr#question td a:after
{
	content: attr(name);
	color: #c0c0c0;
    font-size: 70%;
    font-weight: normal;
    vertical-align: text-top;
	margin-left: 2px;
	display: none;
}

table#bottomTable
{
	transition: opacity 0.15s linear;
	-webkit-transition: opacity 0.15s linear;
}

td.expandcolumn
{
	border-right: 1px dashed #f8f8f8;
}

tr#header-group-questions td.expandcolumn
{
	border-right: none;
}

table#questions, tr#header-group-questions td
{
	border-top: 1px solid #f8f8f8;
	border-bottom: 1px solid #f8f8f8;
}

tr#header-group-questions td
{
	padding: 6px 0px;
	letter-spacing: -1px;
	color: #c0c0c0;
	text-shadow: 1px 1px 11px #F4F4F4;
    position: relative;
    left: -44px;
}

tr#question div, table#infos td div
{
	padding-left: 6px;
}

td.expandColumn img
{
    display: none;
}

div#answer
{
	display: none;
	border-top: 1px solid #f8f8f8;
	border-bottom: 1px solid #f8f8f8;
	box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16), 0 2px 8px 0 rgba(0,0,0,0.16);

    animation: slide-down-scale .15s ease-out;
    -webkit-animation: slide-down-scale .15s ease-out;
    -moz-animation: slide-down-scale .15s ease-out;
	-o-animation: slide-down-scale .15s ease-out;
	-ms-animation: slide-down-scale .15s ease-out;
}

@keyframes slide-up-scale
{
      0% { opacity: 1; -webkit-transform: scaleY(1); }   
    100% { opacity: 0; -webkit-transform: scaleY(0); }
}

@-webkit-keyframes slide-up-scale
{
      0% { opacity: 1; -webkit-transform: scaleY(1); }   
    100% { opacity: 0; -webkit-transform: scaleY(0); }
}

@-moz-keyframes slide-up-scale
{
      0% { opacity: 1; -webkit-transform: scaleY(1); }   
    100% { opacity: 0; -webkit-transform: scaleY(0); }
}

@-o-keyframes slide-up-scale
{
      0% { opacity: 1; -webkit-transform: scaleY(1); }   
    100% { opacity: 0; -webkit-transform: scaleY(0); }
}

@-ms-keyframes slide-up-scale
{
      0% { opacity: 1; -webkit-transform: scaleY(1); }   
    100% { opacity: 0; -webkit-transform: scaleY(0); }
}

@keyframes slide-down-scale
{
      0% { opacity: 0; -webkit-transform: scaleY(0); }   
    100% { opacity: 1; -webkit-transform: scaleY(1); }
}

@-webkit-keyframes slide-down-scale
{
      0% { opacity: 0; -webkit-transform: scaleY(0); }   
    100% { opacity: 1; -webkit-transform: scaleY(1); }
}

@-moz-keyframes slide-down-scale
{
      0% { opacity: 0; -webkit-transform: scaleY(0); }   
    100% { opacity: 1; -webkit-transform: scaleY(1); }
}

@-o-keyframes slide-down-scale
{
      0% { opacity: 0; -webkit-transform: scaleY(0); }   
    100% { opacity: 1; -webkit-transform: scaleY(1); }
}

@-ms-keyframes slide-down-scale
{
      0% { opacity: 0; -webkit-transform: scaleY(0); }   
    100% { opacity: 1; -webkit-transform: scaleY(1); }
}

tr#question td div
{
	padding-top: 4px;
	padding-bottom: 4px;
}

body p:empty
{
	position: absolute;
}

div#syntaxcodeblocks p.preview
{
	height: 96px;
	max-height: 96px;
	min-height: 96px;
}

div#syntaxcodeblocks p.preview img
{
	display: block;
	cursor: pointer;
	height: 96px;
	max-height: 96px;
    !margin: auto auto;
	margin: auto 32px;
	position: relative;
	!opacity: 0.50;
	transition: opacity 0.15s linear;
	-webkit-transition: opacity 0.15s linear;
	transition: max-height 0.15s linear;
	-webkit-transition: max-height 0.15s linear;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	!filter:drop-shadow(4px 4px 4px rgba(0,0,0,0.25));
	!-webkit-filter: grayscale(100%);
    !filter: grayscale(100%);
	!transition: filter 0.15s linear;
	!-webkit-transition: filter 0.15s linear;
}

div#syntaxcodeblocks p.preview img.preview
{
	height: auto;
	max-height: 600%;
	opacity: 1;
	position: relative;
	z-index: 2;
	!-webkit-filter: grayscale(0%); 
    !filter: grayscale(0%);
}

div#syntaxcodeblocks p.preview::before
{
	content: 'toggle preview';
	position: absolute;
    margin-top: -8px;
    margin-left: 8px;
    font-family: segoe ui, verdana, tahoma, arial, sans-serif;
	font-weight: normal;
	font-size: 80%;
	text-decoration: none;
	display: inline-block;
	border-radius: 3px;
	border: 1px solid #cccccc;
	box-shadow: 0px 1px 0 rgba(0,0,0,.08);
	text-shadow: none;
	text-align: center;
	padding: 2px;
    cursor: pointer;
	background: #ffffff;
	z-index: 1;
}

div#syntaxcodeblocks pre, div#syntaxcodeblocks pre.inline
{
    border-right: #e5e5e5 1px solid;
    padding-right: 8px;
    border-top: #e5e5e5 1px solid;;
    padding-left: 4px;
    border-left: #0000ff 3px solid;;
    padding-top: 0px;
    padding-bottom: 2px;
    border-bottom: #e5e5e5 1px solid;
	overflow-x: auto;
    overflow-y: hidden;
	background: #ffffff;
	tab-size: 4;
	border-radius: 3px;
	font-size: 100%;
    font-family: inherit;
    font-weight: lighter;
    !white-space: pre-wrap;
	!-webkit-user-select: all;
	!-moz-user-select: all;
	!-ms-user-select: all;
	!user-select: all;
}

div#syntaxcodeblocks pre.inline
{
    display: inline;
    margin: 0;
    padding: 0 4px;
}

div#syntaxcodeblocks pre::before, pre::after, table#questions td.answere > div:first-child::after
{
    font-family: segoe ui, verdana, tahoma, arial, sans-serif;
	font-weight: normal;
	font-size: 80%;
	text-decoration: none;
	display: inline-block;
	border-radius: 3px;
	border: 1px solid #cccccc;
	box-shadow: 0px 1px 0 rgba(0,0,0,.08);
	text-shadow: none;
	text-align: center;
	padding: 2px;
    cursor: pointer;
	background: #ffffff;
	position: absolute;
    top: auto;
    right: 16px;
    margin-right: 32px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

div#syntaxcodeblocks pre::before
{
	content: 'select code';
    right: 16px;
	margin: -12px;
    margin-right: 32px;
}

div#syntaxcodeblocks pre::after
{
	content: 'copy code';
    right: 16px;
	margin: 8px;
    margin-right: 32px;
}

div#syntaxcodeblocks pre.inline::before, div#syntaxcodeblocks pre.inline::after
{
	display: none;
}

div#syntaxcodeblocks pre.lesscode
{
	height: 16.3em;
	overflow-y: auto;
}

div#syntaxcodeblocks pre.lesscode::after
{
	display: none;
}

table#questions td.answere > div:first-child::after
{
	content: 'share code';
	width: auto;
	height: auto;
	right: auto;
	margin: 16px 4px;
}

div#syntaxcodeblocks pre:active::before, pre:active::after, table#questions td.answere > div:active:first-child::after, div#syntaxcodeblocks p.preview:active::before
{
	background: #f4f4f4;
}

div#syntaxcodeblocks pre .line-number
{
    float:left;
    margin:0 1em 0 -1em;
    border-right: 1px solid #C0C0C0;
    text-align:right;
    color: #C0C0C0
}

div#syntaxcodeblocks pre .line-number span
{
    display:block;
    padding:0 .5em 0 1em;
}

div#syntaxcodeblocks pre .cl
{
    display:block;
    clear:both;
}

span.line-number span
{
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

div#syntaxCodeBlocks pre span font b
{
	background-color: #FFFF00;
	color: #000000;
	padding: 0px 2px 0px 2px;
	outline: 1px dotted #A0A0A0;
}

.arrow-box, .arrow-box-hide, .arrow-box-show
{
	padding: 0px 4px 0px 4px;
	background: #f8f8f8;
	border: 1px solid #A0A0A0;
	position: absolute;
	width: 196px;
	border-radius: 4px;
	vertical-align: middle;
	font-size: 80%;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
	display: inline-block;
	margin-top: -15px;
	margin-left: -128px;
	transform: scale(1) perspective(128px) rotateY(-11deg) rotateX(2deg) rotate(2deg);
	opacity: 0;
	transition: opacity 0.25s ease-in-out;
	-webkit-transition: opacity 0.25s ease-in-out;
}

.arrow-box-hide
{
	opacity: 0;
}

.arrow-box-show
{
	opacity: 1;
}

.arrow-box:after, .arrow-box:before, .arrow-box-show:after, .arrow-box-show:before
{
	right: 100%;
	top: 50%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
}

.arrow-box:after, .arrow-box-show:after
{
	border-color: rgba(240, 240, 240, 0);
	border-right-color: #f8f8f8;
	border-width: 8px;
	margin-top: -8px;
}

.arrow-box:before, .arrow-box-show:before
{
	border-color: rgba(160, 160, 160, 0);
	border-right-color: #A0A0A0;
	border-width: 9px;
	margin-top: -9px;
}

tr#header-group-questions
{
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

table#infos.collapsed tr#info, table#infos tr#header-group-questions span::after
{
	display: none;
}

table#infos.collapsed tr#header-group-questions span::after
{
	display: inline-block;
	content: '...';
	letter-spacing: 1px;
}

table#infos td > div:first-child
{
	cursor: default;
}

table#infos a, table#questions td:nth-child(2) span a, div#answer a
{
	color: inherit;
    text-decoration: none;
    border-bottom: #404040 1px dashed;
}

table#infos
{
	border-top: 1px solid #f8f8f8;
	border-bottom: 1px solid #f8f8f8;
}

table#infos td div
{
    padding-top: 2px;
    padding-bottom: 2px;
}

table#infos.collapsed, table#infos.collapsed tr#header-group-questions td
{
	border-top: 1px solid #ffffff;
	border-bottom: 1px solid #ffffff;
}

tr#info td.expandcolumn
{
	border-right: 1px solid #f8f8f8;
}

tr#info ul
{
    padding: 0;
	margin: 0;
    list-style-type: none;
	display: grid;
    grid-template-columns: auto auto auto auto;
	color: #c0c0c0;
}

tr#info ul, tr#info ul a
{
	border-bottom-color: #c0c0c0;
}

tr#info ul li
{
	width: 128px;
}

div#header p
{
	margin: 2px;
}

ul.shortcut
{
    display: inline-flex;
	margin: 2px 0px 2px 2px;
    list-style-type: none;
    -webkit-padding-start: 0;
}

ul.shortcut li
{
	float: left;
	list-style: none;
    text-align: center;
}

.shortcut a, a.shortcut
{
	padding: 0 2px;
    margin-right: 4px;
}

div#answer a.shortcut
{
	border-bottom: 1px solid #cccccc;
	font-size: 100%;
	height: auto;
	padding-bottom: 2px;
}

body.mainBody sup
{
	float: right;
	color: #c0c0c0;
}

div.tutorial
{
	margin-left: 8px;
    margin-right: 8px;
    width: auto;
	counter-reset: section sample;
}

div.tutorial img
{
    -webkit-filter: drop-shadow(1px 1px 2px rgba(0,0,0,.25));
    filter: drop-shadow(1px 1px 2px rgba(0,0,0,.25));
	vertical-align: middle;
}

div.tutorial i.aright
{
    border: solid #e5e5e5;
    border-width: 0 4px 4px 0;
    display: inline-block;
    padding: 8px;
    margin: 8px;
	margin-right: 16px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
	vertical-align: middle;
}

div.tutorial address
{
	margin-top: 16px;
    border-top: #e5e5e5 1px solid;
    border-bottom: #e5e5e5 1px solid;
    font-style: normal;
    background: #f8f8f8;
    padding: 2px 4px 4px 2px;
}

div.tutorial address::before
{
	content: '';
	counter-increment: section;
}

div.tutorial address::after
{
	content: counter(section,upper-alpha) ')';
    position: relative;
    font-size: 200%;
	font-family: serif;
    float: left;
    padding: 2px;
    color: #b5b5b5;
}

div.tutorial div#syntaxcodeblocks pre::before
{
	margin-right: 48px;
}

div.tutorial div#syntaxcodeblocks pre::after
{
	margin-right: 48px;
}

div.tutorial ul.languages
{
	list-style-type: none;
	-webkit-padding-start: 18px;
}

div.tutorial ul.languages li
{
    display: inline-flex;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: hidden;
    width: 196px;
	padding: 2px;
}

div.tutorial ul.languages input, div.tutorial ul.languages input + label
{
	cursor: pointer;
}

div.tutorial ul.languages input[type="radio"]:checked + label
{
	font-weight: bold;
}

div.tutorial ul.samples
{
	list-style-type: none;
	-webkit-padding-start: 18px;
}

div.tutorial ul.samples li
{
	clear: both;
    vertical-align: middle;
    line-height: 100%;
}

div.tutorial ul.samples li::before
{
	content: '';
	counter-increment: sample;
}

div.tutorial ul.samples li::after
{
	content: counter(sample,upper-alpha) ')';
    position: relative;
    font-size: 100%;
	font-family: serif;
    float: left;
    padding: 2px;
    color: #b5b5b5;
